Name:           wb_builder
Version:        1.0.3
Release:        9%{?dist}
Summary:        Wishbone Bus Builder

Group:          Applications/Engineering
License:        GPLv2
URL:            http://sourceforge.net/projects/fpgalibre/
Source0:        http://download.sourceforge.net/sourceforge/fpgalibre/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# fixes some Perl strict warnings and errors
Patch0:         wb_builder-strict-warnings.patch
Patch1:         wb_builder-args.patch

BuildArch:      noarch

%description
This package includes a HDL generator from a text description or via
GUI input for the Wishbone Bus.

The Wishbone Bus is an open source hardware computer bus intended
to let the parts of an integrated circuit communicate with each other.
The aim is to allow the connection of differing cores to each other
inside of a chip. The Wishbone Bus is used by many designs in the
OpenCores project.

%prep
%setup -q

%patch0 -p0 -b .perl-warnings
%patch1 -p0 -b .perl-args

# ---- Filtering Requires: ----
# In the perl script, "use IEEE.std_logic_1164.all" is meant
# to generate VHDL code and not for Perl

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(IEEE.std_logic_1164.all)/d'
EOF

%global __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}
# ------------------------------------------


#fixing rpmlint warnings: file-not-utf8
for f in LEEME.txt README.txt ;
do
    iconv -f iso8859-1 -t utf-8 $f > $f.conv 
    mv -f $f.conv $f
done


%build


%install
%{__rm} -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -pm 0755 wishbone.pl %{buildroot}%{_bindir}/wishbonebuilder



%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LEEME.txt LICENSE README.txt users_manual.pdf
%{_bindir}/wishbonebuilder


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.0.3-7
- Perl 5.18 rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 30 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.3-2
- Added patch from Shakthi Kannan
- Patched broken arguments

* Sat Apr 25 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.0.3-1
- Initial Package
